//
//  TeliverSDK.swift
//  TeliverSdk
//
//  Created by Quadkast on 15/10/20.
//  Copyright © 2020 Facebook. All rights reserved.
//

import Foundation
import teliver

@objc(TeliverSdk)
class TeliverSdk: NSObject, RCTBridgeModule {
    
    static func moduleName() -> String! {
        return "Teliver"
    }
    
    @objc func showAlert(message: String) {
        var viewController = UIViewController()
        let alert = UIAlertController(title: "Success", message: message, preferredStyle: .alert)
        let cancel = UIAlertAction(title: "Ok", style: .cancel, handler: nil)
        alert.addAction(cancel)
        if let topVC = UIApplication.shared.keyWindow?.rootViewController {
            viewController = topVC
            while let top = topVC.presentedViewController {
                viewController = top
            }
            viewController.present(alert, animated: true, completion: nil)
        }
    }
    
    @objc func initSDK(apiKey: String, callBack: RCTResponseSenderBlock) {
        print("Coming inside iOS SDK")
        let teliver = TeliverSettings.init(withAppKey: apiKey)
        Teliver.init(withTeliverSettings: teliver)
        callBack([true, "Init Success"])
    }
    
    @objc func startTracking(trackingId: String?) {
        if trackingId == nil || trackingId?.isEmpty ?? true {
            print("Tracking ID should not be empty or null !")
        } else {
            let startTracking = TeliverTracker.init(forTrackingId: trackingId ?? "")
            Teliver.startTrackingFor(user: startTracking, withNavigationTitle: "Tracking")
        }
    }
    
}
